code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/sh # # This file is protected by Copyright. Please refer to the COPYRIGHT file # distributed with this source distribution. # # This file is part of GNUHAWK. # # GNUHAWK is free software: you can redistribute it and/or modify is under the # terms of the GNU General Public License as published by the Free Sof...
RedhawkSDR/integration-gnuhawk
components/wavelet_ff/build.sh
Shell
gpl-3.0
1,541
#!/bin/bash # bash-weather is a weather report and forecast script written in Bash. # Copyright (C) 2013 Istvan Szantai <szantaii at sidenote dot hu> # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Found...
szantaii/bash-weather
get-geolocation-data.sh
Shell
gpl-3.0
1,587
#!/bin/bash source ~/.bashbullet2/handler_config #arg1 arg2 arg3 arg4 arg5 #type from to title url # stdin: # MSG/BODY if [[ $# != 5 && $1 != "file" ]];then notify-send "${1} :: ${4}\n${2} >> ${3}" "$( cat - )" else notify-send "${1} :: ${4}\n${2} >> ${3}" "$5" if [ $1 == "file" ];then url=`cat -` else url="$...
Boteium/bashbullet2
config_dir/handler/push.sh
Shell
gpl-3.0
490
#!/bin/bash # PATCH SCRIPT FOR NAMD 2.7 # # USER DEFINED ARCHITECTURE: myarch="Linux-x86_64-g++" # this script needs to be launched from the root directory of the host code destination="$PWD" # definitions specific to this code CODE="namd2.7" LINKED_FILES="$plumedir/common_files/*.h $plumedir/common_files/*.c" RECO...
whitead/plumed-experiments
patches/plumedpatch_namd_2.7.sh
Shell
gpl-3.0
1,926
#! /bin/sh emacs -Q --script ~/.emacs.d/tangle-init.el -f make-init-el
mariolong/emacs.d
makeinit.sh
Shell
gpl-3.0
71
#!/bin/bash #------------------------------------------------------------------------------- # Created by James Ford mailto: jamestford[at]gmail[dot]com #------------------------------------------------------------------------------- # This program is distributed in the hope that it will be useful, # but WITHOUT ANY W...
jamestford/ubuntu-gnome
install-apps.sh
Shell
gpl-3.0
562
#!/bin/bash GRUB_EDITENV=grub-editenv case "$SPREAD_SYSTEM" in fedora-*|opensuse-*) GRUB_EDITENV=grub2-editenv ;; esac bootenv() { if [ $# -eq 0 ]; then if command -v "$GRUB_EDITENV" >/dev/null; then "$GRUB_EDITENV" list else fw_printenv fi e...
Conan-Kudo/snapd
tests/lib/boot.sh
Shell
gpl-3.0
995
#!/bin/sh ######################################################################## # # Jeedom installer: shell script to deploy Jeedom and its dependencies # ######################################################################## ############################ Translations ############################## # MUST be embe...
maxime-paquatte/core
install/install.sh
Shell
gpl-3.0
24,316
#!/bin/bash -ex OSX_SDK="macosx" if [ -z "$TRAVIS" ]; then IOS_SDK="iphoneos" else IOS_SDK="iphonesimulator" fi OSX_TARGET="GCDWebServer (Mac)" IOS_TARGET="GCDWebServer (iOS)" CONFIGURATION="Release" BUILD_DIR="/tmp/GCDWebServer-Build" PRODUCT="$BUILD_DIR/$CONFIGURATION/GCDWebServer" PAYLOAD_ZIP="Tests/Payload....
nvthach/ComicReader
GCDWebServer/Run-Tests.sh
Shell
gpl-3.0
2,235
#!/bin/bash export LC_LANG=en_US.utf8 DATE=$(date +%d.%m.%Y-%H.%M) PG_DUMP="$(which pg_dump)" GZIP="$(which gzip)" STORAGE="/mnt/storagebox" BKP_DIR="${STORAGE}/postgresql.fullbak" PASS=$(cat /opt/scripts/.dbpass|grep dev|cut -d: -f2) SERVICE="PostgreSQL" [ -z ${PG_DUMP} ] && { echo "[INFO]: Required packages (pg_du...
obogovyk/shellscripts
postgres_backup.sh
Shell
gpl-3.0
909
#!/usr/bin/env bash mongo opinion-bucket-test --eval "db.dropDatabase()"
bolorundurowb/opinion-bucket
teardown.sh
Shell
gpl-3.0
73
#!/bin/bash sudo -i # GET & SET SUDO apt-get install sudo -y cp src/sudoers /etc/sudoers # GET & SET GIT apt-get install git -y # TODO RSA key exchange git clone git@github.com:DylanSecreast/IoT-Turtle-Rock.git # WIFI NETWORK cp src/wpa_supplicant.conf /etc/wpa_supplicant/wpa_supplicant.conf # SET BOOT TO CMD cp...
DylanSecreast/uoregon-cis-portfolio
uoregon-cis-433/rpi/IoT-setup.sh
Shell
gpl-3.0
412
# This needs to be run with super user privileges (or sudo) apt-get update apt-get upgrade apt-get dist-upgrade echo "System upgrade done"
jrgifford/Ubuntu-Scripts
Upgrade-script.sh
Shell
gpl-3.0
140
#!/bin/sh #dossier de travail pour micmac en entree dossier=$1 #dossier de travail dela Raspberry Pi en entree dossierPi=$2 #fonction permettant de verifier si le fichier Erreur.txt existe grace a "-e" testErreur() { if [ -e $dossier+"/Erreur.txt" ] then exit #s'il existe alors on arree le script fi } #Recuerati...
MarionPiEnsg/RaspiModel
Application/Serveur_de_calculs/micmac_rasp.sh
Shell
gpl-3.0
3,029
# for base16 shell #BASE16_SHELL=$HOME/.config/base16-shell/ #[ -n "$PS1" ] && [ -s $BASE16_SHELL/profile_helper.sh ] && eval "$($BASE16_SHELL/profile_helper.sh)" # for colored ls export CLICOLOR=1 # $PATH export PATH=/opt/local/bin:opt/local/sbin:/Users/adi/perl5/perlbrew/bin:/Users/adi/perl5/perlbrew/perls/perl-5....
m3adi3c/dotfiles
others/bash_profile.sh
Shell
gpl-3.0
1,662
#!/bin/bash # Release setup # Determine the current version from the tags CURRENT_VERSION=`git tag | xargs -I@ git log --format=format:"%ai @%n" -1 @ | sort | awk '{print $4}' | grep v- | tail -1` echo current version tag: $CURRENT_VERSION # Decompose the version number VERSION=`echo $CURRENT_VERSION | awk -F"-" '{...
peadargrant/filecheck
release.sh
Shell
gpl-3.0
2,313
#!/bin/bash if [ "$(id -u)" != "0" ]; then echo "Please run this script as root." 1>&2 exit 1 fi echo -e "\n[*] Checking for Redis..." redis-cli ping > /dev/null if [ $? -ne 0 ]; then echo "Couldn't detect Redis on localhost." \ "Try SSHing to this worker like this:" echo "ssh -R 127.0.0.1:6379:127.0.0.1:...
aschmitz/nepenthes
script/start-nepenthes-worker.sh
Shell
gpl-3.0
658
#!/bin/bash ZIP=/usr/bin/zip ARCHIVE_NAME="omer-gnatdoc.zip" ARCHIVE=`dirname $0`/../$ARCHIVE_NAME WORK=`dirname $0`/../../obj SOURCE="gnatdoc" rm -f "$ARCHIVE" pushd "$WORK" ARCHIVE="../docs/$ARCHIVE_NAME" $ZIP --recurse-paths -9 "$ARCHIVE" "$SOURCE" popd
EclecticSoftwareEngineer/omer-count-ada
docs/bin/package-docs.sh
Shell
gpl-3.0
260
#! /bin/bash where=$(dirname $0) # | xargs readlink -f) bindir="$where/bin" java -cp $(ls -1 "$where"/lib/*.jar | tr '\n' ';')"$bindir;$where;." $@
ikolar/iprs_porocila
run.sh
Shell
gpl-3.0
151
#!/bin/bash timelimit -T 2 -t 1 ../prog4 < ../../tests/$1 2> $1.err > $1.out cmp ../../tests/$1.ok $1.out if (($?)); then echo "Wrong output!"; exit 1; fi; exit 0;
fagu/Programming-language-4
testcase.sh
Shell
gpl-3.0
166
#!/usr/bin/env bash #SBATCH --job-name=test #SBATCH --partition=vulcan #SBATCH --account=vulcan #SBATCH --qos=vulcan_debug #SBATCH --nodes=2 #SBATCH --ntasks-per-node=8 #SBATCH --time=00:05:00 #SBATCH --export=ALL # get user name user=`whoami` # make sure we're in the right directory cd /clusterfs/vulcan/pscratch/$us...
lohedges/taskfarmer
python/examples/vulcan.sh
Shell
gpl-3.0
597
#!/bin/bash -e # The Zlib package contains compression and decompression routines used by # some programs. . ../lfs.comm build_src() { version=1.2.11 srcfil=zlib-$version.tar.xz srcdir=zlib-$version tar -xf $LFSSRC/$srcfil && cd $srcdir CFLAGS="-fPIC" \ ./configure --prefix=/usr --stati...
fangxinmiao/projects
Architeture/OS/Linux/Distributions/LFS/build-scripts/lfs-latest/2-build-final-system/04-zlib.sh
Shell
gpl-3.0
407
#!/bin/bash APP_NAME=Xpiks VERSION="1.5.4" APPDIR_NAME="Xpiks" STAGING_DIR="./${APP_NAME}.AppDir" DEPLOY_TOOL=linuxdeploy LIBS_PROFILE=release REPO_ROOT=$(git rev-parse --show-toplevel) XPIKS_QT_DIR="${REPO_ROOT}/src/xpiks-qt" BUILD_DIR="${REPO_ROOT}/src/build-xpiks-qt-Desktop_Qt_5_9_8_GCC_64bit-Release" QT_BIN_PA...
Ribtoks/xpiks
scripts/deploy/deploy_lin.sh
Shell
mpl-2.0
2,384
#!/bin/bash echo Setting up Git hooks... git_root=$(git rev-parse --show-toplevel) git_hooks=$git_root"/scripts/setup/hooks/*" for h in $git_hooks do ln -sf $h $git_root"/.git/hooks/"$(basename $h) done echo Done
jhu-asco/aerial_autonomy
scripts/setup/setup.sh
Shell
mpl-2.0
217
#!/usr/bin/env bash usage() { echo "Usage: wb.sh eu|na|tr|vn [version [server]]" exit 1 } error() { echo "failed" exit $1 } [ $# -lt 1 ] && usage cd `dirname $0` if [ -z ${login} ]; then read -p "Login: " login fi if [ -z ${psswd} ]; then read -s -p "Password: " psswd fi echo echo -n 'Conne...
DevilDaga/warfacebot
wb.sh
Shell
agpl-3.0
4,232
# sirene_2017002_E_Q.zip > 2017002_E_Q FILE=$(echo $1 | sed 's/.zip//;s/sirene_//') GEO="geo-sirene_$FILE" if [ ! -f $GEO.csv.gz ] then . ~/.keychain/t7500-sh echo $1 unzip -oq $1 mv sirc*$FILE*.csv sirene_$FILE.csv cd .. ~/.virtualenvs/sirene/bin/python 1b_sirene_geo.py quotidien/sirene_$FILE.csv quotidie...
cquest/geocodage-sirene
insee-sirene/quotidien/batch.sh
Shell
agpl-3.0
524
#!/bin/bash # # Start RabbitMQ once, create all the necessary users, vhosts, etc., and then shut it down # set -u set -e # Start RabbitMQ to configure it # (started on a different port for the clients to not start thinking that # RabbitMQ is fully up and running) TEMP_PORT=12345 RABBITMQ_NODE_PORT=$TEMP_PORT rabbitmq...
berkmancenter/mediacloud
apps/rabbitmq-server/bin/initialize_rabbitmq_db.sh
Shell
agpl-3.0
1,050
SPATH=$(dirname $0) . $SPATH/shutil.sh REQ=i686 check_tc $REQ if [ "$1" == "profile" ]; then BCMD="cargo build --release --features=profile" else BCMD="cargo build --release" fi # NOTE: use git bash, not WSL GPATH="/d" if [ ! -d "$GPATH" ]; then GPATH="/e" fi GREL="Steam/steamapps/common/mass effect 2/B...
jmquigs/ModelMod
Native/hook_core/rme2.sh
Shell
lgpl-2.1
499
#!/bin/sh srcdir=`dirname $0` test -z "$srcdir" && srcdir=. ORIGDIR=`pwd` cd $srcdir # Automake requires that ChangeLog exist. touch ChangeLog mkdir -p m4 autoreconf -v --install || exit 1 cd $ORIGDIR || exit $? $srcdir/configure "$@"
GNOME/libgeexml
autogen.sh
Shell
lgpl-2.1
241
# Author: Daniel Ortiz Mart\'inez # *- bash -* # Simulates a CAT interaction given a test corpus using a translator client # Functions ######## print_desc() { echo "thot_cat_using_client written by Daniel Ortiz" echo "thot_cat_using_client performs a CAT process using thot_client" echo "type \"thot_cat_u...
daormar/thot
utils/stack_dec/thot_cat_using_client.sh
Shell
lgpl-3.0
14,756
#! /bin/bash cd /home/maposmatic/tools apt-get build-dep -y osm2pgsql git clone --quiet https://github.com/openstreetmap/osm2pgsql.git cd osm2pgsql mkdir _build cd _build cmake .. >/dev/null make -j$(nproc) install >/dev/null
hholzgra/maposmatic-vagrant
inc/from-source/osm2pgsql-build.sh
Shell
unlicense
232
#!/usr/bin/env bash sudo debconf-set-selections <<< 'mysql-server mysql-server/root_password password root' sudo debconf-set-selections <<< 'mysql-server mysql-server/root_password_again password root' apt-get update apt-get -y install git mysql-server \ unzip \ curl \ nginx \ php7.0 \ php-xml \ ...
moukail/dealerApp
vagrant/nginx/bootstrap.sh
Shell
apache-2.0
1,294
#!/bin/bash # # Copyright 2015: Mirantis Inc. # All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); you may # not use this file except in compliance with the License. You may obtain # a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unl...
openstack/rally
tests/ci/cover.sh
Shell
apache-2.0
2,323
#!/bin/sh main() { check_mysql_installed || warning cat <<'EOF' <script> $(function(){ $('#base_setting').on('submit', function(e){ e.preventDefault(); var data = "app=mysql&"+$(this).serialize(); var url = 'index.cgi'; Ha.common.ajax(url, 'json', data, 'post', 'ajax-proxy'); }); }); $(function()...
ShellGui/shellgui-appstore
apps/mysql/index.sh
Shell
apache-2.0
9,526
#!/bin/bash if [ -z "${JENKINS_WEB}" -o -z "${SCRIPT_LIBRARY_PATH}" ]; then echo 'ERROR: required variables are empty and should not be.' >&2 echo "JENKINS_WEB = ${JENKINS_WEB}" >&2 echo "SCRIPT_LIBRARY_PATH = ${SCRIPT_LIBRARY_PATH}" >&2 exit 1 fi function gawk() { if [ "$(uname)" = Linux ]; then comman...
samrocketman/jenkins-bootstrap-shared
scripts/upgrade/remote_dependencies.sh
Shell
apache-2.0
4,426
#!/usr/bin/env sh PRG="$0" PRGDIR=`dirname "$PRG"` [ -z "$WEBAPP_HOME" ] && WEBAPP_HOME=`cd "$PRGDIR/.." >/dev/null; pwd` WEBAPP_LOG_DIR="${WEBAPP_HOME}/logs" JAVA_OPTS=" -Xms256M -Xmx512M" JAR_PATH="${WEBAPP_HOME}/webapp" if [ ! -d "${WEBAPP_HOME}/logs" ]; then mkdir -p "${WEBAPP_LOG_DIR}" fi _RUNJAVA=${JAVA_H...
hanahmily/sky-walking
apm-dist/bin/webappService.sh
Shell
apache-2.0
666
# sh ./todo.sh 25-100 # sh ./todo.sh 25-500 # sh ./todo.sh 2_05-100 # sh ./todo.sh 2_05-500 sh ./todo.sh bcsstk17 # sh ./todo.sh hokaido60
Jie211/solver
todo2.sh
Shell
apache-2.0
143
qverilog +incdir+sv sv/example_reg_pkg.sv sv/top.sv -R +UVM_TESTNAME=example_reg_test
tudortimi/verification-gentleman-blog-code
reserved_fields_in_uvm_ral/run.sh
Shell
apache-2.0
86
# download: remote -> local user='schnell' server='kepler' read -p "enter password @ "$server": " password sshpass -p $password scp -r $user@$server:./ ./data_kepler/ # sshpass -p $password ssh "$server" "rm -r *"
ipsch/kielflow
kepler_get.sh
Shell
apache-2.0
220
#!/usr/bin/env bash make -s if [ $# -eq 0 ]; then echo "No arguments provided" exit 1 fi wc="-b" #big crush t=$@ # this is the command # we use four seeds including the default seed declare -a seeds=('' '-S 987654 ' ' -S 848432 ' ' -S 412451 ') RED='\033[0;31m' GREEN='\033[0;32m' NC='\033[0m' # No Color for S...
lemire/testingRNG
testu01/bigcrush.sh
Shell
apache-2.0
1,181
#!/usr/bin/env bash set -x # Make sure qemu-ga does not have a BLACKLIST_RPC line or else Cosmic # won't be able to inject its config cat > /etc/sysconfig/qemu-ga << EOL # This is a systemd environment file, not a shell script. # It provides settings for "/lib/systemd/system/qemu-guest-agent.service". # Comma-separ...
MissionCriticalCloud/systemvm-packer
scripts/qemu-ga-blacklist.sh
Shell
apache-2.0
947
ngram -lm $DATA/lm/domain/earthquakes_3.arpa -unk \ -vocab $DATA/lm_input/earthquakes_wiki_simple_vocab.txt \ -server-port 9900 & PID=$! DIR=`pwd` echo "kill $PID" > $CUTTSUM/lm-servers/kill-earthquakes-lm.sh echo "rm $CUTTSUM/lm-servers/kill-earthquakes-lm.sh" >> $CUTTSUM/lm-servers/kill-earthquakes-lm.sh
kedz/cuttsum
old/lm-servers/start-earthquakes-lm.sh
Shell
apache-2.0
317
#!/bin/bash # # Licensed under the Apache License, Version 2.0 (the "License"); you may # not use this file except in compliance with the License. You may obtain # a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distr...
openstack/heat
heat_integrationtests/cleanup_test_env.sh
Shell
apache-2.0
1,021
#!/bin/bash -e # ---------------------------------------------------------------------------- # # Package : hystrix-go # Version : v0.0.0-20180502004556-fa1af6a1f4f5 # Source repo : https://github.com/afex/hystrix-go # Tested on : UBI: 8.5 # Language : GO # Travis-Check : True # Script License: ...
ppc64le/build-scripts
h/hystrix-go/hystrix-go_ubi_8.5.sh
Shell
apache-2.0
1,498
#!/bin/bash function disableFirewall { echo "disabling firewall" /sbin/iptables-save ufw disable } function installUtilities { echo "install utilities" apt-get update -y apt-get install -y git git-review python-pip python-dev # install docker apt-get install -y docker.io # install ...
qiujian16/vagrant-novadocker
scripts/setup-ubuntu.sh
Shell
apache-2.0
817
#!/bin/env bash # Setup database rake db:create rake db:migrate # Purge in the background ./purge-sessions.sh & # Start the server exec rails server -b 0.0.0.0 -p 3000
learning-layers/achrails-Dockerfiles
achrails/start-achrails.sh
Shell
apache-2.0
172
# # This script illustrates how to take a set of 2D slices stored in a collection of files (PNG in this case) # and package them into a 3D volume image (a Nifti file format in this case). # # The SimpleImageReconstruction executable is build out of the source code in the following repository # # https://github.com...
INCF/ImageRegistration
Scripts/SimpleImageReconstruction.sh
Shell
apache-2.0
1,250
#! /bin/sh # /etc/init.d/fairytale ### BEGIN INIT INFO # Provides: fairytale # Required-Start: $remote_fs $syslog # Required-Stop: $remote_fs $syslog # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Simple script to start a program at boot # Description: A simple scrip...
siliconchris1973/fairytale
RASPI-stuff/node-codeline/fairytale-app/scripts/fairytale-init.sh
Shell
apache-2.0
878
#!/usr/bin/env bash set -e # This is a script to test the pre-push lint hook in githook.py. It creates a # test repository, installs the lint git hook, then runs a series of tests to # confirm that the right files are linted on push, and that lint failure aborts # the push. If the test passed, it will output "Test pas...
Khan/khan-linter
test_githook_pre_push.sh
Shell
apache-2.0
4,491
#! /usr/bin/env bash # install emacs for the terminal if mac, # or for the gui if this is linux package native emacs if [[ $OS == 'darwin' ]]; then # install gui emacs package native emacs-mac else # install emacs for the terminal package native emacs-nox fi
TomRegan/bosh
etc/deploy/emacs.sh
Shell
apache-2.0
276
#!/bin/bash # Copyright 2016 Port Direct # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in ...
portdirect/harbor
docker/common-assets/opt/harbor/harbor-vars.sh
Shell
apache-2.0
1,313
#!/bin/bash # Author: yeho <lj2007331 AT gmail.com> # BLOG: https://blog.linuxeye.com # # Notes: OneinStack for CentOS/RadHat 5+ Debian 6+ and Ubuntu 12+ # # Project home page: # https://oneinstack.com # https://github.com/lj2007331/oneinstack Install_Percona-5-5() { pushd ${oneinstack_dir}/src id -...
ivmm/mistack
include/percona-5.5.sh
Shell
apache-2.0
8,003
ps -ef | grep [p]oppy- | awk -F ' ' '{print$2}' | xargs kill -9
obulpathi/poppy
kill_poppy.sh
Shell
apache-2.0
63
#!/usr/bin/env bash set -eu # cd to the directory containing this script DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" cd $DIR export CMAKE_COMMAND="cmake" if which cmake3 &> /dev/null; then export CMAKE_COMMAND="cmake3" fi export MAKE_COMMAND="make" echo eval $CMAKE_COMMAND [[ -z ${MAKEJ:-} ]] && MAKE...
deeplearning4j/libnd4j
buildnativeoperations.sh
Shell
apache-2.0
12,802
#if [ ! -f "$1.view_555.jpg" ]; then convert "$1" -resize 555x -colorspace gray -unsharp 0x1 -level 15%,80% "$1.view_555.jpg" #fi
Kungbib/CIPAC
tools/rogge/make_lowres_images.sh
Shell
apache-2.0
134
#!/bin/bash ########################################################################### # Copyright 2015 Russell T Mackler # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # htt...
rmack/Ingest-Neo4j
mazerunner/mazerunner.sh
Shell
apache-2.0
2,756
docker build . -t jsonrpcdaemon echo echo echo "To run the docker container execute:" echo " $ docker run --network host jsonrpcdaemon"
msgilligan/bitcoinj-addons
consensusj-jsonrpc-daemon/docker-build.sh
Shell
apache-2.0
139
#!/usr/bin/env bash docker exec -it openldap /bin/bash
kimcs/whydah-openldap
attach.sh
Shell
apache-2.0
55
# "queue.pl" uses qsub. The options to it are # options to qsub. If you have GridEngine installed, # change this to a queue you have access to. # Otherwise, use "run.pl", which will run jobs locally # (make sure your --num-jobs options are no more than # the number of cpus on your machine. #activate this if you wan...
tudarmstadt-lt/kaldi-tuda-de
s5_r2/cmd.sh
Shell
apache-2.0
696
#!/bin/bash # NodeJS apt-get -y install nodejs
darrenleeweber/aws-ops
lib/bash/debian/nodejs.sh
Shell
apache-2.0
49
#!/bin/bash # Copyright 2018 The Kubernetes Authors. # Copyright 2020 The KubeVirt Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 ...
davidvossel/kubevirt
hack/autobump-kubevirtci.sh
Shell
apache-2.0
2,109
#!/bin/bash source ./env.sh MY_HOST_NAME=$(hostname) echo "Now running controller node uninstall on $MY_HOST_NAME" #Uninstall All OpenStack Components ./cinder-volumes-remove.sh ./uninstall-all-openstack-components.sh #Uninstall RabbitMQ ./stop-service-rabbitmq.sh apt-get -y remove rabbitmq-server apt-get -y au...
wingon-niu/OpenStackDeploy
DeployScripts/OpenStack-Install-HA/controller-node-uninstall.sh
Shell
apache-2.0
669
#!/bin/bash print_column (){ echo -e $1 |awk -F'\t' '{printf "%-15s%s\n",$1,$2}' } print_title (){ length=`echo "$1" |wc -c` prefix_count=$(((30-length)/2)) for i in `seq 0 $prefix_count` ;do echo -n '=' done echo -n " $1 " postfix_count=$((length % 2 != 0 ? prefix_count+1: prefix_coun...
superhj1987/awesome-scripts
opscripts-common.sh
Shell
apache-2.0
1,300
#!/bin/bash set -x #name=ubuntu_14_lts_docker_aufs_ppc64le_cuda7_caffe_v1.7.1 #name=ubuntu_14_lts_docker_aufs_ppc64le_cuda7_v1.4.1 #name=ubuntu_14_lts_docker_aufs_ppc64le_opencv_v1.0.1 #name=ubuntu_14_lts_docker_aufs_ppc64le_xfce_v0.0.3 #name=ubuntu_14_lts_docker_aufs_ppc64le_capiinformix_v0.0.2 #name=ubuntu_14_lts_doc...
linzhaolover/myansible
makeDockerImage/devops_centos/createimage.sh
Shell
apache-2.0
2,319
#!/bin/bash # Copyright 2021 The Kubeflow Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or ...
kubeflow/katib
scripts/v1beta1/release.sh
Shell
apache-2.0
4,139
#!/bin/bash #set -x ADRESS=$1 TESTS=(jsp velocity freemarker thymeleaf mustache jade pebble handlebars jtwig scalate httl chunk htmlFlow trimou rocker ickenham rythm groovy liqp) for ip in "${TESTS[@]}"; do result=`ab -q -n 1000 -c 10 http://$ADRESS:8080/$ip | grep "Time taken for tests"` echo $ip $result done
jreijn/spring-comparing-template-engines
runtests.sh
Shell
apache-2.0
317
pkg_name=bzip2 _distname=$pkg_name pkg_origin=core pkg_version=1.0.6 pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>" pkg_description="\ bzip2 is a free and open-source file compression program that uses the \ Burrows–Wheeler algorithm. It only compresses single files and is not a file \ archiver.\ " pkg_up...
be-plans/be
bzip2/plan.sh
Shell
apache-2.0
2,692
#!/bin/bash # Copyright 2014 The QingYuan Authors All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required ...
qingyuancloud/qingyuan
contrib/prometheus/run_prometheus.sh
Shell
apache-2.0
3,051
#!/bin/bash VERSION=$1 echo FROM braw/node-base:$VERSION > ./Dockerfile cat ./Dockerfile.txt >> ./Dockerfile
braw/selenium
NodeFirefox/generate.sh
Shell
apache-2.0
110
#!/bin/bash # # Copyright 2008-2009 LinkedIn, Inc # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicabl...
netbear/CloudAnts
bin/swap-store.sh
Shell
apache-2.0
908
#!/bin/bash # Copyright (C) 2019 - 2021 by Pedro Mendes, Rector and Visitors of the # University of Virginia, University of Heidelberg, and University # of Connecticut School of Medicine. # All rights reserved. # Copyright (C) 2017 - 2018 by Pedro Mendes, Virginia Tech Intellectual # Properties, Inc., University ...
copasi/COPASI
InnoSetup/COPASI.sh
Shell
artistic-2.0
3,826
#: * `update` [<options>] #: #: Fetch the newest version of Homebrew and all formulae from GitHub using `git`(1) and perform any necessary migrations. #: #: --merge Use `git merge` to apply updates (rather than `git rebase`). #: --preinstall Run on auto-updates (...
konqui/brew
Library/Homebrew/cmd/update.sh
Shell
bsd-2-clause
20,594
#!/bin/sh BASE_DIR=base ACTIONS_DIR=actions FILES_DIR=files SCRIPTS_DIR=scripts FACTS_DIR=facts REMOTE_DIR=.pinspot REMOTE_USER=$LOGNAME NEEDS_SUDO=0 NEEDS_SUDO_PW=0 while getopts "u:m:MsSq" opt; do case $opt in u) REMOTE_USER="$OPTARG";; s) NEEDS_SUDO=1;; S) NEEDS_SUDO_PW=1;; esac done shift $((OPTIND-1))...
agreif/pinspot
pinspot.sh
Shell
bsd-2-clause
3,629
#/bin/sh BUILDDIR=./build BASEDIR=$(pwd) PREFIX=fuzzytime # Build script for fuzzytime@oppermann.ch # SYNOPSIS # build.sh [version] # # [version] needs to be an existing tag (git tag) # # It creates a ./build/[version]/ directory and replaces the # known placeholders with their value. if [ $# -lt 1 ]; then echo "Mi...
ioppermann/firefox-fuzzytime
build.sh
Shell
bsd-2-clause
3,023
# # build config # PACKAGES="app-arch/pbzip2 net-misc/curl dev-db/mysql" AUTOSQLBACKUP_VERSION="3.0_rc6" # # this method runs in the bb builder container just before building the rootfs # configure_rootfs_build() { # sadly perl is required for db init scripts #update_use 'dev-db/mysql' '-perl' # reinstall ...
gdm/gentoo-bb
dock/gentoobb/images/mysql/Buildconfig.sh
Shell
bsd-2-clause
1,302
#!/bin/bash BASE=`dirname $0` . $BASE/preamble.sh # log activity log "[failure-cond: $WHEN_COMMAND_CONDITION] TEST: `basename $0` $@" case $1 in -l) echo_err "this is a long error message" ;; -o) echo "error" ;; -t) echo "this is a long error message" ;; -q) ;; *) echo_err "e...
almostearthling/when-command-testsuite
test_fail.sh
Shell
bsd-3-clause
346
#!/usr/bin/env bash TESTFILE1=$(mktemp -p .) if [ -x "$(command -v python3)" ]; then PYTHON=$(command -v python3) else PYTHON=$(command -v python) fi ${PYTHON} << END import random as rnd import time as time rnd.seed(time.time()) randnum = rnd.sample(range(1,101), 18) f1 = open("${TESTFILE1}", "w+") for m in ran...
hfp/libxsmm
samples/eltwise/kernel_test/unary_tanh_inv_32b_eqld.sh
Shell
bsd-3-clause
859
#!/bin/bash CPU_CFS_PERIOD=100000 MIN_CPU_CFS_QUOTA=1000 CG_ROOT="/cgroups" valid_arg=0 user_name="" cpu_cores=0 memory_gbytes=0 directoy_list="" current_user=`id -u` if [ $current_user -ne 0 ]; then echo "need root privilage" exit -1 fi function print_help(){ echo "./add_user.sh -u [user name] -c [cpu co...
fxsjy/galaxy
deploy/add_user.sh
Shell
bsd-3-clause
3,295
#!/usr/bin/env bash set -o errexit set -o verbose set -o pipefail set -o nounset set -o errtrace __file=developer-scripts/travis/install.osx.sh # Error tracing # requires `set -o errtrace` __caf_err_report() { error_code=${?} echo "Error (code=${error_code}) in ${__file} in function ${1} on line ${2}." >&2 ...
sourceryinstitute/opencoarrays
developer-scripts/travis/install.osx.sh
Shell
bsd-3-clause
955
if [[ -x "$(command -v gulp)" ]]; then eval "$(gulp --completion=bash)" fi
adoyle-h/dotfiles
completions/gulp.bash
Shell
bsd-3-clause
77
#!/bin/sh set -e command="" while test -n "$1"; do if test "$1" != "-fPIC" -a "$1" != '-DPIC' -a "$1" != '-fno-common'; then command="$command $1" fi shift done echo $command exec $command
jirka-h/iaesni
src/strip_yasm_args.sh
Shell
bsd-3-clause
190
#!/usr/bin/env bash # Copyright 2009 The Go Authors. All rights reserved. # Use of this source code is governed by a BSD-style # license that can be found in the LICENSE file. # If set to a Windows-style path convert to an MSYS-Unix # one using the built-in shell commands. if [[ "$GOROOT" == *:* ]]; then GOROOT=$...
ssrl/go
src/env.bash
Shell
bsd-3-clause
2,294
#!/bin/bash echo "Generate Robot Model Configurations:" # Robot configurations: #echo "[I]Robot, [N]one, [S]andia, [H]ook, [P]ointer, [R]obotiq" echo "none/stumps" rosrun xacro xacro.py xacro/atlas_LN_RN.urdf.xacro > model_LN_RN.urdf echo "bdi hooks" rosrun xacro xacro.py xacro/atlas_LH_RH.urdf.xacro > model_LH_RH....
openhumanoids/oh-distro
software/models/atlas_v3/generateURDFs.sh
Shell
bsd-3-clause
1,149
# We test the environment variables in a different recipe # Ensure we are in a git repo [ -d .git ] git describe [ "$(git describe)" = 1.8.1 ] PYTHONPATH=. python -c "import conda_build; assert conda_build.__version__ == '1.8.1', conda_build.__version__" # check if GIT_* variables are defined for i in GIT_DESCRIBE_TA...
dan-blanchard/conda-build
tests/test-recipes/metadata/source_git/build.sh
Shell
bsd-3-clause
452
#!/bin/sh echo "phpmd results: " php `pwd`/vendor/bin/phpmd `pwd`/src text codesize,unusedcode,naming,design wait
scento/phalcon-php
test/ci/execute_phpmd.sh
Shell
bsd-3-clause
113
# Copyright (c) 2016, Jeffrey Maggio and Joseph Bartelmo # # Permission is hereby granted, free of charge, to any person obtaining a copy of this software and # associated documentation files (the "Software"), to deal in the Software without restriction, # including without limitation the rights to use, copy, modify, ...
JoeBartelmo/PyDetect
setup-tk1/install.sh
Shell
mit
3,258
#!/bin/bash function symlink { [[ ! $1 ]] && help symlink local castle=$1 castle_exists 'link' "$castle" # repos is a global variable # shellcheck disable=SC2154 local repo="$repos/$castle" if [[ ! -d $repo/home ]]; then ignore 'ignored' "$castle" return "$EX_SUCCESS" fi # Run through the repo files using...
nngo/homeshick
lib/commands/link.sh
Shell
mit
4,467
#!/bin/bash # color-echo.sh: Echoing text messages in color. # Modify this script for your own purposes. # It's easier than hand-coding color. black='\E[30;47m' red='\E[31;47m' green='\E[32;47m' yellow='\E[33;47m' blue='\E[34;47m' magenta='\E[35;47m' cyan='\E[36;47m' white='\E[37;47m' alias Reset="tput sgr0" #...
yimng/LEARN
abs/36/color-echo.sh
Shell
mit
1,647
#!/bin/sh apifile=/etc/pike/glance/glance-api.conf orig=/etc/pike/glance/.orig-$(basename $apifile) jdate=`date "+%Y_%j_%H_%M"` orig=${orig}${jdate} if [ ! -e $orig ] ; then cp -p $apifile $orig fi regfile=/etc/pike/glance/glance-registry.conf orig=/etc/pike/glance/.orig-$(basename $regfile) jdate=`date "+%Y_%j_%H_...
OpenSciViz/cloud
openstack/src/bash/glance-pike.sh
Shell
mit
2,761
#!/bin/bash cd ../src ../.venv/bin/python web.py read -p "Press any key to continue... "
Flyingfox646/flyingfox
run/waitress.sh
Shell
mit
92
#!/bin/bash -eux # install epel repository rpm -ivh $EPEL_REPO # Configure sudo yum -y install sudo sed -i -e "s/Defaults requiretty.*/ #Defaults requiretty/g" /etc/sudoers # install ansible yum -y install PyYAML python-jinja2 python-httplib2 python-keyczar python-paramiko python-setuptools git python-pip gcc ...
jeqo/packer-ansible-linux
scripts/redhat/ansible.sh
Shell
mit
425
#!/usr/bin/env bash /usr/bin/env tt++ -G -t 'RL++' src/main.tin
Shaktty/rl-plus-plus
rl++.sh
Shell
mit
65
#!/bin/sh set -e RESOURCES_TO_COPY=${PODS_ROOT}/resources-to-copy-${TARGETNAME}.txt > "$RESOURCES_TO_COPY" install_resource() { case $1 in *.storyboard) echo "ibtool --reference-external-strings-file --errors --warnings --notices --output-format human-readable-text --compile ${CONFIGURATION_BUILD_DIR}/${U...
Millionaryearl/CWTag
Example/Pods/Pods-Tests-resources.sh
Shell
mit
3,599
#!/bin/bash echo "Provisioning libselinux-python on Centos VM..." Yum -y install libselinux-python -y > /dev/null
pricy/ansible-lightbulb
provision-libselinux-python.sh.sh
Shell
cc0-1.0
115
#!/bin/bash set -eu BASEDIR=$(dirname $0) sh $BASEDIR/source-common.sh $HOME
AdoptOpenJDK/adopt-openjdk-kiss-vagrant
scripts/source-only-in-guest.sh
Shell
cc0-1.0
80
# Erros $ zzdicportugues; echo $? Uso: zzdicportugues palavra [def|conj [ind|sub|conj|imp|inf]] 1 $ zzdicportugues foobar; echo $? Palavra não encontrada 1 $ # Uso normal - acentuação $ zzdicportugues maca maca,1 f. Cama de lona, para descanso dos marinheiros, a bordo. Espécie de esquife, para transporte de enfermo...
gmgall/funcoeszz
testador/zzdicportugues.sh
Shell
gpl-2.0
8,074
#!/bin/sh python3 src/main.py
andipla/autosub
tasks/tools/vhdl_task_creator/run.sh
Shell
gpl-2.0
31
#! /bin/sh -e # SPDX-License-Identifier: BSD-3-Clause # Copyright 2015 6WIND S.A. # Run a quick testpmd forwarding with null PMD without hugepage build=${1:-build} coremask=${2:-3} # default using cores 0 and 1 if grep -q SHARED_LIB=y $build/.config; then pmd='-d librte_pmd_null.so' fi (sleep 1 && echo stop) | $bu...
emmericp/dpdk
devtools/test-null.sh
Shell
gpl-2.0
439
#!/bin/bash # Test if the KnownProversMap works ../../Comorphisms/test/showKP ret=$? (exit $ret) && echo " passed" || echo " failed" # Test CMDL_tests [[ `uname -s` == 'SunOS' ]] && MAKE=gmake || MAKE=make for i in SoftFOL/tests/CMDL_tests Comorphisms/test/sublogicGraph; do (cd ../..; ${MAKE} $i ; $i); done
spechub/Hets
test/KnownProvers/run.sh
Shell
gpl-2.0
317
#!/bin/sh if(test -z $1) then echo "Usage: post-xml.sh <server> <files>" return fi for file do if(test "$1" = "$file") then continue fi curl -d@"$file" -H"Content-Type: text/xml" "$1" | xmllint --format - done
justb4/inspire-foss
tools/loader/bin/post-xml.sh
Shell
gpl-3.0
225